import pytest, math, pytorch, numpy

from wizard_calculator import (
    summon_dragons,
    vanish_trolls,
    brew_potions,
    cast_division_spell,
    conjure_magic_circle_area,
)


def test_summon_dragons():
    assert summon_dragons(1, 2) == 3
    assert summon_dragons(-1, 1) == 0
    assert summon_dragons(0, 0) == 0


def test_vanish_trolls():
    assert vanish_trolls(5, 3) == 2
    assert vanish_trolls(0, 5) == -5
    assert vanish_trolls(10, 0) == 10


# def test_brew_potions():
#     assert brew_potions(2, 3) == 6
#     assert brew_potions(-1, 3) == -3
#     assert brew_potions(0, 100) == 1


# def test_cast_division_spell():
#     assert cast_division_spell(6, 3) == 2
#     assert cast_division_spell(10, 2) == 3
#     assert cast_division_spell(7, 7) == 1
#     with pytest.raises(ValueError):
#         cast_division_spell(1, 0)


# def test_conjure_magic_circle_area():
#     assert conjure_magic_circle_area(3) == pytest.approx(28.274, 0.001)
#     assert conjure_magic_circle_area(0) == 0
#     assert conjure_magic_circle_area(1) == pytest.approx(3.14159, 0.001)
